[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH] tests: fix quoting bug in misc/nohup
From: |
Jim Meyering |
Subject: |
[PATCH] tests: fix quoting bug in misc/nohup |
Date: |
Tue, 03 Apr 2012 22:18:20 +0200 |
I posted this last month, but somehow never pushed it...
>From 64cf1033cc47fe40bcebbecd069db486794fecea Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 18 Mar 2012 02:33:53 +0100
Subject: [PATCH] tests: fix quoting bug in misc/nohup
* tests/misc/nohup: Fix invalid quoting.
---
tests/misc/nohup | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/tests/misc/nohup b/tests/misc/nohup
index c6082ac..cef8ee8 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -50,9 +50,9 @@ rm -f nohup.out err exp
# change depending on whether stderr is redirected.
nohup sh -c 'echo stdout; echo stderr 1>&2' >out || fail=1
if test -t 2; then
- test "'cat out|tr '\n' -`" = stdout-stderr- || fail=1
+ test "$(cat out|tr '\n' -)" = stdout-stderr- || fail=1
else
- test "'cat out|tr '\n' -`" = stdout- || fail=1
+ test "$(cat out|tr '\n' -)" = stdout- || fail=1
fi
# It must *not* exist.
test -f nohup.out && fail=1
--
1.7.9.3
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [PATCH] tests: fix quoting bug in misc/nohup,
Jim Meyering <=